Bullet Collision Detection & Physics Library: btHingeConstraintDoubleData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btHingeConstraintDoubleData Struct Reference

this structure is not used, except for loading pre-2.82 .bullet files More...

`#include <btHingeConstraint.h>`

Collaboration diagram for btHingeConstraintDoubleData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
int | m_useReferenceFrameA
int | m_angularOnly
int | m_enableAngularMotor
float | m_motorTargetVelocity
float | m_maxMotorImpulse
float | m_lowerLimit
float | m_upperLimit
float | m_limitSoftness
float | m_biasFactor
float | m_relaxationFactor

## Detailed Description

this structure is not used, except for loading pre-2.82 .bullet files

Definition at line 340 of file btHingeConstraint.h.

## Member Data Documentation

## ◆ m_angularOnly

int btHingeConstraintDoubleData::m_angularOnly

Definition at line 346 of file btHingeConstraint.h.

## ◆ m_biasFactor

float btHingeConstraintDoubleData::m_biasFactor

Definition at line 354 of file btHingeConstraint.h.

## ◆ m_enableAngularMotor

int btHingeConstraintDoubleData::m_enableAngularMotor

Definition at line 347 of file btHingeConstraint.h.

## ◆ m_limitSoftness

float btHingeConstraintDoubleData::m_limitSoftness

Definition at line 353 of file btHingeConstraint.h.

## ◆ m_lowerLimit

float btHingeConstraintDoubleData::m_lowerLimit

Definition at line 351 of file btHingeConstraint.h.

## ◆ m_maxMotorImpulse

float btHingeConstraintDoubleData::m_maxMotorImpulse

Definition at line 349 of file btHingeConstraint.h.

## ◆ m_motorTargetVelocity

float btHingeConstraintDoubleData::m_motorTargetVelocity

Definition at line 348 of file btHingeConstraint.h.

## ◆ m_rbAFrame

btTransformDoubleData btHingeConstraintDoubleData::m_rbAFrame

Definition at line 343 of file btHingeConstraint.h.

## ◆ m_rbBFrame

btTransformDoubleData btHingeConstraintDoubleData::m_rbBFrame

Definition at line 344 of file btHingeConstraint.h.

## ◆ m_relaxationFactor

float btHingeConstraintDoubleData::m_relaxationFactor

Definition at line 355 of file btHingeConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintData btHingeConstraintDoubleData::m_typeConstraintData

Definition at line 342 of file btHingeConstraint.h.

## ◆ m_upperLimit

float btHingeConstraintDoubleData::m_upperLimit

Definition at line 352 of file btHingeConstraint.h.

## ◆ m_useReferenceFrameA

int btHingeConstraintDoubleData::m_useReferenceFrameA

Definition at line 345 of file btHingeConstraint.h.

The documentation for this struct was generated from the following file:

- btHingeConstraint.h